Bug 441445 - [QLogic 4.7 feat] Update qla2xxx - qla84xx variant support.
[QLogic 4.7 feat] Update qla2xxx - qla84xx variant support.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity high
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
: FutureFeature, OtherQA
Depends On:
Blocks: 240719
  Show dependency treegraph
 
Reported: 2008-04-08 02:05 EDT by Marcus Barrow
Modified: 2009-06-19 23:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ISP84xx support (29.87 KB, patch)
2008-04-08 23:20 EDT, Marcus Barrow
no flags Details | Diff
ISP84xx IOCTL support (33.21 KB, patch)
2008-04-08 23:21 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2008-04-08 02:05:44 EDT
QLogic is producing a variant of the standard 4 Gb/S fibre channel card which is about to start shipping. 
This card uses the standard qla24xx hardware but contains an ethernet router downstream from the Fibre 
Channel part. The system just sees the standard HBA, but it is identified by a different PCI ID, which 
requires changing the driver code.

The driver changes are simple, mostly handling the different PCI ID. The ioctl module is also changed to 
provide management, this module is not supported by RedHat.

No firmware changes are required.
Comment 1 Tom Coughlan 2008-04-08 11:22:35 EDT
(In reply to comment #0)

>  this module is not supported by RedHat.

Just FYI, if we ship it we support it.

Kernel freeze is today...
Comment 2 Andrius Benokraitis 2008-04-08 11:33:00 EDT
So if this is just a PCI ID addition, is this bug only for QE purposes, since
this should get dragged in automatically from SourceForge?
Comment 3 Marcus Barrow 2008-04-08 11:51:37 EDT
It is more then a PCI ID addition. Basically every if statement based on PCI ID also needs to
account for this new board. So a new macro was defined to cover this and inserted thru the code.

There are also some additional data structures and support code specific to the board, but which shouldn't 
impact the standard board.

Plus there is additional code for the management in the ioctl() module, which RedHat doesn't
support.

Comment 4 Marcus Barrow 2008-04-08 11:52:36 EDT
I *thought* you didn't support ioctl module, sorry. It's confusing...

Comment 5 Tom Coughlan 2008-04-08 12:57:38 EDT
(In reply to comment #2)
> So if this is just a PCI ID addition, is this bug only for QE purposes, since
> this should get dragged in automatically from SourceForge?

Andrius, PCI IDs show up in two places: in the kernel device drivers, and in
userspace. We get the userspace update from SourceForge as one of the last steps
in the release. That is easy, and by the way, not critical to the operation of
the system (it makes nicer displays in lspci, and the like). The driver part is
critical. 

But out of curiosity, QLogic, are the new IDs registered at SourceForge? 

Comment 6 Andrius Benokraitis 2008-04-08 13:36:56 EDT
Also, when are we slated to get these cards in house?
Comment 8 Marcus Barrow 2008-04-08 13:44:16 EDT
The cards are available soon, but they don't work without appropriate switches and those are un-
obtainable made by Nuova ( Cisco ), not QLogic.

Comment 9 Andrew Vasquez 2008-04-08 13:45:33 EDT
Re #5: Yes, http://pci-ids.ucw.cz/iii/?i=10778432.
Re #6: I believe that was an action item of the QTR.  Dave/Sameer are
working to make that happen.
Comment 10 Marcus Barrow 2008-04-08 23:20:45 EDT
Created attachment 301744 [details]
ISP84xx support
Comment 11 Marcus Barrow 2008-04-08 23:21:23 EDT
Created attachment 301745 [details]
ISP84xx IOCTL support
Comment 13 Vivek Goyal 2008-04-15 14:13:25 EDT
Committed in 68.33.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 15 Chris Ward 2008-06-05 11:50:46 EDT
~~~~~~~~~~~~~~
~ Attention: ~ Feedback requested regarding this **High Priority** bug. 
~~~~~~~~~~~~~~

A fix for this issue should be included in the latest packages contained in
RHEL4.7-Snapshot1--available now on partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the passing results of your test in appropriate
detail, along with which snapshot and package version tested. The bugzilla will
be updated by Red Hat Quality Engineering for you when this information has been
received.

If you believe this issue has not properly fixed or you are unable to verify the
issue for any reason, please add a comment describing the most recent issues you
are experiencing, along with which snapshot and package version tested. 

If you believe the bug has not been fixed, change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and bugzilla will be updated for you. 

If you need assistance accessing ftp://partners.redhat.com, please contact your
Partner Manager.

Thank you
Red Hat QE Partner Management
Comment 16 Chris Ward 2008-06-16 04:42:11 EDT
~~~~~~~~~~~~~~
~ Attention: ~ Immediate attention required for this ***High Priority*** bug.
~~~~~~~~~~~~~~

A fix for this issue should be included in the latest packages contained in
**RHEL4.7-Snapshot2**, accessible now on http://partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the results of your test in appropriate detail,    
 along with which snapshot and package version tested. The bugzilla will be
updated by Red Hat Quality Engineering for you when this information has been  
    received.

If this issue has not been properly fixed or you are unable to verify the issue
for any reason, please add a comment describing the most recent issues you are
experiencing, along with which snapshot and package version tested. If you are
sure the bug has not been fixed, change the status of the bug to ASSIGNED.

For IssueTracker users, submit verification results as usual; Bugzilla will be
updated by Red Hat Quality Engineering for you.

For additional information, contact your Partner Manager.

Thank you,
Red Hat QE Partner Management
Comment 17 Marcus Barrow 2008-06-16 21:02:51 EDT
These support verified in kernel-2.6.9-73.EL

Comment 20 errata-xmlrpc 2008-07-24 15:28:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html
Comment 21 Chris Ward 2008-07-29 03:25:56 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.